﻿/*
 * Singleton.as
 */
package {
    public class Singleton {
		public static var _instance:Singleton;
		public static function get instance():Singleton {
			if ( _instance === null ) {
				_instance = new Singleton;
			}
			return _instance;
		}

		//Singletonクラス内で保持しておく値。参照、書き換えするとき直接いじらない
        private var _testID:String = "init";
		
		//static constで定義しているので書き換えできない。予期せぬ間違いを防げる
		static const _url:String = "http://level0.kayac.com/"

		/*
		 * -------------------------------------------------------
		 * getter setter関数を通して、_testIDの参照と書き換えを行う
		 */
		public function set testID(id:String):void{
            _testID = id;
			trace("(_testIDを書き換え ->", _testID,")");//書き換えをしたタイミングでtraceだしてみる
        }
        public function get testID():String{
            return _testID;
        }
		/*
		 * -------------------------------------------------------
		 * getter関数でurlを参照する。書き換えはできない。
		 */
        public function get url():String{
            return _url;
        }
		
    }
}